var path = require('path'),
fs = require('fs'),
scaffoldit = require('scaffoldit');

exports.build = function(ops, callback) {
	
	ops._src = __dirname + '/project';
	ops._dest = ops.cwd;
	
	ops.config.commands.start = 'node .';
	
	scaffoldit({
		
		params: ops,
		
		input: {
			'name': {
				msg: 'What is the name of your project?',
				value: path.basename(ops.cwd)
			},
			'description': 'Description:'
		},
		
		build: scaffoldit.fromDir,
		complete: callback,
	});
	
}