var path = require('path'),
fs = require('fs'),
scaffoldit = require('scaffoldit');

exports.build = function(ops, callback) {
	
	ops._src = __dirname + '/project.tmproj';
	ops._dest = ops.cwd + '/project.tmproj';
	
	
	scaffoldit.toFile(ops, function() {
		
		console.log('Set %s command proj to "%s"'.grey, path.basename(ops.cwd).bold, "open project.tmproj".bold);
		
		ops.config.commands.proj = 'open project.tmproj';
		
		callback.apply(null, arguments);
	});
	
}